import { BuilderContextInterface, RegisteredComponents } from "../../../context/types.js";
import { BuilderBlock } from "../../../types/builder-block.js";
import { PropsWithBuilderData } from "../../../types/builder-props.js";
type ComponentOptions = PropsWithBuilderData<{
    [index: string]: any;
    attributes?: {
        [index: string]: any;
    };
}>;
export interface ComponentProps {
    componentRef: any;
    componentOptions: ComponentOptions;
    blockChildren: BuilderBlock[];
    context: BuilderContextInterface;
    registeredComponents: RegisteredComponents;
    builderBlock: BuilderBlock;
    includeBlockProps: boolean;
    isRSC: boolean | undefined;
}
export declare const ComponentRef: (props: ComponentProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default ComponentRef;
